### Function

# Clutter BindingActionFunc

since: 13

#### Declaration

    gboolean
    (* ClutterBindingActionFunc) (
      GObject* gobject,
      const gchar* action_name,
      guint key_val,
      ClutterModifierType modifiers,
      gpointer user_data
    )

#### Description [src]

The prototype for the callback function registered with `clutter_binding_pool_install_action()` and invoked by clutter_binding_pool_activate().

Available since: 13

#### Parameters

`gobject`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the function.

`action_name`

  Type: `const gchar*`

  The name of the action.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`key_val`

  Type: `guint`

  The key symbol.

`modifiers`

  Type: `ClutterModifierType`

  Bitmask of the modifier flags.

`user_data`

  Type: `gpointer`

  Data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

The function should return `TRUE` if the key binding has been handled, and return `FALSE` otherwise.